-------
v3.2.16
-------

[jan] Officially support PHP 7.


-------
v3.2.15
-------

[jan] SECURITY: Fix XSS vulnerability in rule search (Andrey Zelenchuk
      <azelenchuk@plesk.com>).


-------
v3.2.14
-------

[jan] Never send autoreplies again when setting zero vacation days in Procmail
      or Maildrop backends (Bug #14549).
[jan] Don't split sieve body tests on commas (Bug #14546).


-------
v3.2.13
-------

[jan] Convert vacation rules in preference backend from Ingo < 2.0.
[jan] Fix some edge cases with Sieve vacation rules with date limits (Bug
      #14486).


-------
v3.2.12
-------

[jan] Fix using ingo-convert-prefs-to-sql for multiple users.
[mjr] Fix incorrect flag usage in Procmail vacation recipe (Bug #14397).
[mjr] Fix escaping mailbox names that contain utf7-imap encodings (Bug #14429).
[jan] Fix creating new spam folders.


-------
v3.2.11
-------

[jan] Update Portuguese translation.
[jan] Update Basque translation.
[jan] Don't ignore 'initial_page' registry setting.


-------
v3.2.10
-------

[jan] Don't duplicate messages in Procmail's vacation recipe if excluding email
      addresses (Michael.Martin@warp-it.com, Bug #14275).
[jan] Remove stop-script feature from Procmail driver.


------
v3.2.9
------

[mjr] Fix PHP deprecated warnings in unit test (PR #176, Mathieu Parent
      <math.parent@gmail.com>).
[mjr] Honor 'date', 'echo', and 'ls' path overrides (Bug #14284).
[jan] Update Greek translation (Limperis Antonis <limperis@cti.gr>).
[jan] Fix Oracle compatibility (Bug #14262).


------
v3.2.8
------

[jan] Fix editing shared rulesets (Bug #12694).
[jan] Allow to edit permissions of another user's rules if that user assigned
      ownership.
[jan] Use access rules compatible with both Apache 2.2 and 2.4.
[jan] Fix variable name in vacation_addresses hook example.
[jan] Correctly save names of mailbox created from the rule form (Bug #14150).
[mjr] Fix invalid URLs in certain forms when cookies are disabled (Bug #14148).


------
v3.2.7
------

[jan] Update Italian translation.
[mjr] Add database migration for fixing corrupt rule ordering.
[mjr] Fix corruption of rule order when reordering rules in certain cases.


------
v3.2.6
------

[mjr] Fix using transport parameters in Procmail driver.
[jan] Update Czech translation.
[jan] Update Italian translation.
[mjr] Fix selecting incorrect rule when performing any action after reordering
      (Bug #14064 and Bug #13643).
[jan] Fix duplicate messages when using the redirect-and-keep rule with
      Procmail backends.


------
v3.2.5
------

[jan] Add Galician translation.
[mms] Enforce selection of a target folder for the spam filter in the UI (Bug
      #13917).
[jan] Fix Sieve error if days of vacation is unset (Bug #13890).


------
v3.2.4
------

[mms] Rate-limit filters drag/drop changes to prevent race conditions (Bug
      #13819).
[mms] Fix filter drag/drop ordering working in basic view (Bug #13820).
[mms] Maildir requires UTF7-IMAP encoding for folder names (Bug #13378).


------
v3.2.3
------

[mms] Fix determination of preferred backend (Bug #13548).


------
v3.2.2
------

[jan] Disable forward rule by default.
[mms] Fix checking the 'max_forward' permission (Bug #13568).
[mms] IMAP driver needs to explicitly search for UTF-8 text, since we don't
      restrict charset input at the UI level (Bug #13554).
[mjr] Fix issues when preferred configuration contains an array (Bug #13548).


------
v3.2.1
------

[mms] Fix performing more than one filter drag/drop action on a single page
      (Bug #13434).
[mms] Add support for a negative regex test to the Maildrop driver.
[mms] Add support for a negative regex test to the Sieve driver (Pete Beardmore
      <pete.beardmore@msn.com>, Request #12671).
[mms] Fix vacation in the maildrop driver (balestrieri@mag-data.com, Bug
      #13415).


------
v3.2.0
------

[mms] Fix mailbox selection on Spam page (Bug #13298).
[mms] Fix regression in deactivating scripts (Bug #13297).


---------
v3.2.0RC1
---------

[jan] Update Polish translation (Maciej Uhlig <maciej.uhlig@us.edu.pl>).
[jan] Update Japanese translation (Hiromi Kimura <hiromi@tac.tsukuba.ac.jp>).


-----------
v3.2.0beta2
-----------

[mms] Honor 'auto_update' preference when re-sorting filters list (Bug #13216).
[mms] Fix regression in copying a rule when storing in SQL backend (Bug
      #13213).


-----------
v3.2.0beta1
-----------

[jan] Pass current vacation addresses to hook
      (skhorde@smail.inf.fh-bonn-rhein-sieg.de, Request #13185).


------------
v3.2.0alpha1
------------

[mms] Use standardized 'enotify' sieve extension (RFC 5435) by default instead
      of deprecated 'notify' extension (Request #8784).
[mms] Use standardized 'imap4flags' sieve extension (RFC 5232) by default
      instead of deprecated 'imapflags' extension (Request #8784).
[mms] Add ability to filter rules by mailbox.
[mms] Add 'max_forward' permission (Request #10332).
[mms] Permissions can now be applied per backend, rather than globally.
[mms] Replace max blacklist/whitelist configuration parameters with equivalent
      permissions options.
[mms] Sorting of rules now done via drag/drop javascript (Request #1993).
[jan] Make shares table compatible with Oracle.
[mms] Validate e-mail addresses on the forward and vacation pages (Request
      #7249).
[mms] Add 'newEmailFilter' API link.


------
v3.1.5
------

[mms] Fix blacklist/whitelist matching with IMAP backend (Bug #13031).
[mms] Fix procmail reject recipe (Bug #13060; admin@dei.unipd.it).


------
v3.1.4
------

[jan] Update Danish translation (Erling Preben Hansen <erling@eph.dk>).
[jan] Make spam level a required form field (Bug #12964).
[jan] Fix behavior of 'utf' parameter (Bug #12937).
[mms] Fix sieve driver correctly identifying mailing lists when determining
      whether to send vacation messages
      (skhorde@smail.inf.fg-bonn-rhein-sieg.de, Bug #12938).


------
v3.1.3
------

[mms] SECURITY: Protect against CSRF attacks by using tokens on destructive
      actions (Bug #12796; CVE-2013-6275; found by Marcela Benetrix
      <m.benetrix@e-secure.com.au>).


------
v3.1.2
------

[mms] Disable links if the underlying preferences are locked.
[jan] Fix setting excluded addresses and mailing list flag in Sieve vacation
      rule.


------
v3.1.1
------

[jan] Fix option to filter by user-defined headers (Bug #12345).
[jan] Fix highlighting of menu entries.
[jan] Restore compatibility with PHP 5.3 (Bug #12306).


------
v3.1.0
------

[mjr] Fix fatal error when updating filters.


---------
v3.1.0RC1
---------

[mms] Fix regression in accessing Ingo links from the external API (Bug
      #12249).


-----------
v3.1.0beta1
-----------

[jan] Add composite script backends.
[jan] Add vacation driver for ISPConfig (Michael Bunk
      <mb@computer-leipzig.com>).
[jan] Hide unsupported form fields of vacation form (Michael Bunk
      <mb@computer-leipzig.com>).
[jan] Add composite transport backends.
[jan] Move shared ruleset selection to sidebar.
[mms] All Ingo templates now use Horde_View.


------
v3.0.4
------

[mms] SECURITY: Fix XSS vulnerability on smartmobile rule page (João Machado
      <geral@jpaulo.eu>).
[mms] Fix copy/move actions when destination mailbox contains non ASCII
      characters (Bug #12217).
[mms] Translate rule descriptions to the local language in UI.
[jan] Allow multiple addresses for Sieve redirects (it@wenn.com, Request
      #11457).


------
v3.0.3
------

[jan] Fix multiple user-defined headers in a single rule (Zephaniah E.
      Loss-Cutler-Hull, Bug #11893).
[jan] Use more portable procmail recipe for rejects (Bug #7520).
[jan] Fix configuration of 'forward_file' parameter (Bug #11989).
[mms] Require non-empty subject and reason fields when creating a vacation
      message (crohmann@netcologne.de, Request #8376).
[jan] Update French translation (Paul De Vlieger
      <paul.de_vlieger@moniut.univ-bpclermont.fr>).


------
v3.0.2
------

[jan] Update Basque translation (Ibon Igartua <ibon.igartua@ehu.es>).
[jan] Fix changing permissions for shared rulesets.


------
v3.0.1
------

[jan] Update Slovak translation (Jozef Sudolský <jozef.sudolsky@elbia.sk>).
[mms] Fix PHP error notification thrown if backends 'params' parameter was
      empty (Bug #11615).


------
v3.0.0
------

[mms] Add 'euser' option to 'transport_auth' hook allowing the effective user
      to be provided for the timsieved transport driver.


-----------
v3.0.0beta2
-----------

[mms] Add 'transport_auth' hook to handle defining authentication parameters
      for transport backends.
[mms] Remove session caching of rules.
[mms] Initial implementation of smartmobile view.
[mms] Disable blacklist, vacation, and whitelist API methods if the preference
      is locked.


-----------
v3.0.0beta1
-----------

[jan] Update icon set.
[mms] Fix javascript actions on the vacation page.


------------
v3.0.0alpha1
------------

[mms] When adding to blacklist/whitelist, remove added addresses from the
      other list.
[jan] Allow to use placeholder variables in vacation messages (Request #10316).
[mjr] Add ability to retrieve vacation message details from the API.
[jan] Validate start and end dates of vacation rules (Request #10879).


-------
v2.0.10
-------
[mms] Correctly reindex existing rules when deleting a rule and using the SQL
      filters storage driver.
[mms] Don't allow a user to save a rule with no matching conditions.


------
v2.0.9
------

[mms] Fix patch for filtering on combination fields (Bug #11197).
[mms] Procmail driver now explicitly sets the base Maildir directory by default
      (Bug #10113).
[jan] Update Turkish translation (İstanbul Technical University).


------
v2.0.8
------

[jan] Update Swedish translation (Per Olof Ljungmark <peo@bsdlabs.com>).
[mms] Fix IMAP filtering on combination fields (Bug #11197).
[jan] Fix showing blacklist option to mark message as deleted (Bug #11186).
[jan] Update Italian translation (Massimo Malabotta <mmalabotta@units.it>).
[jan] Fix folder names in Procmail rules if using Maildir (Bug #10113).
[jan] Update Hungarian translation (Zoltán Németh <nemeth.zoltan@etit.hu>).
[mms] Application initialization should only be done on first access.


------
v2.0.7
------

[jan] Update Japanese translation (Hiromi Kimura <hiromi@tac.tsukuba.ac.jp>).
[jan] Set Return-Path: in Maildrop vacation driver (rsalmon@mbpgroup.com, Bug
      #10568).


------
v2.0.6
------

[mms] Fix displaying From address in notification when filtering with IMAP
      driver.
[jan] Catch if files don't exist while deleting with VFS transport
      (michael-dev@fami-braun.de, Bug #10494).
[mms] Additional fixes when creating new mailboxes (Bug #10282).


------
v2.0.5
------

[jan] Fix disabling of actions by locking preferences (Bug #10455).
[jan] Sort blacklist and whitelist for display instead of for storage.


------
v2.0.4
------

[mms] Fix creating new mailboxes (Bug #10282).


------
v2.0.3
------

[jan] Add -N parameter to mailbot calls by default (Request #10147).
[jan] Fix notice when using numeric comparisons for spam headers (Bug #10222).
[jan] Respect excluded mail addresses in Maildrop vacation driver (Request
      #10077).
[jan] Fix access to debug handler in Timsieved driver.
[jan] Fix deleting single conditions from a rule (Bug #10253).


------
v2.0.2
------

[jan] Fix moving rules to an explicit position (Bug #10172).
[mms] Fix storage backend conversion script.


------
v2.0.1
------

[mms] Fix folder selection (Bug #9907).
[mms] Fix filtering using the IMAP driver (Bug #9859).


----
v2.0
----

[jan] Fix application-specific permission checks (Bug #9786).
[jan] Correctly escape vacation subjects with quote characters in Maildrop
      driver (Bug #9156).
[jan] Catch all PEAR errors in Sieve driver.
[jan] Allow script drivers to provide additional scripts to upload (Bug #8110).
[jan] Change default Sieve port to 4190 (Request #9791).
[jan] Fix reading default forward rule from preferences.
[jan] Fix removing flags with Sieve driver (Vilius Sumskas <vilius@lnk.lt>,
      Bug #9785).
[mjr] Datatree share to SQL upgrade script refactored for Horde 4.


--------
v2.0-RC2
--------

[jan] Fix updating forward rules in SQL driver (Bug #9699).


--------
v2.0-RC1
--------

[jan] Update installation and upgrade instructions.
[jan] Fix instantiation of VFS transport driver (Bug #9605).
[jan] Fix moving rules with the SQL driver (Bug #9672).


----------
v2.0-BETA1
----------

[jan] Fix creating new rules with PostgreSQL (Bug #9638).


-----------
v2.0-ALPHA1
-----------

[jan] Provide default configuration files instead of .dist versions.
[jan] Rename 'driver' configuration and classes to 'transport' to avoid
      confusion with script and storage drivers.
[mms] Use IMP API for IMAP actions.
[mms] Convert to Horde 4 standards.


------
v1.2.6
------

[mms] Fix encoding of vacation message in maildrop driver (Bug #9532).
[jan] Add upgrade scripts for next-generation SQL share driver.


------
v1.2.5
------

[jan] Fix procmail vacation rule if no dates are set (Gaudenz Steinlin
      <gaudenz@debian.org>, Bug #8982).
[jan] Fix filtering only unseen message if rule should filter all messages in
      IMAP driver (Jan Kuipers <jrkuipers@lauwerscollege.nl>, Bug #9077).


------
v1.2.4
------

[jan] Correctly escape addresses in procmail driver (Bug #8875).
[jan] Fix procmail scripts when using composite headers (Bug #8804).
[jan] Support some non-standard Date: headers in Sieve vacation rules
      (Request #8783).
[jan] Support composite header rules with IMAP backends (Request #7343).
[jan] Fix unconditional debug output with Net_Sieve earlier than 1.2.0
      (Bug #8794).
[jan] Add Sieve configuration to use UTF-8 encoded folder names (for Dovecot)
      (Request #7391).


------
v1.2.3
------

[jan] Log Sieve communication with DEBUG log level.
[jan] Fix Oracle SQL scripts.
[jan] Add Croatian translation (Matej Vela <matej.vela@carnet.hr>).
[jan] Add PostgreSQL-specific upgrade script (Request #8630).
[jan] Fix procmail vacation rule (micha@kovoks.nl, Bug #7052).
[jan] Prevent deadlock with vacation rule in maildrop driver (Bug #8577).


------
v1.2.2
------

[mms] Upgrade prototype.js to v1.6.1.
[jan] Correctly match negative header values with numeric comparison in Sieve
      driver (bb@apc.ag, Bug #7308).
[jan] Implement removeUserData API (adrieder@sbox.tugraz.at, Request #8452).
[jan] Take default settings for forwards, vacation and spam rules from
      config/prefs.php in the SQL storage driver.
[jan] No longer try to read spam folder from IMP's preferences.
[jan] Fix maildrop rules without conditions (almarin@um.es, Bug #8103).
[cjh] Fix checks for the forward_file and forward_script procmail parameters
      in the VFS driver (Bug #7811).
[cjh] Add %d (domain) as a replaceable variable in the vfs_path parameter
      (dev@stean.ch, Request #7503).
[jan] Make it easier to select the "Create new folder" entry for target folders
      (Bug #7768).
[cjh] Fix reading the current script in the VFS driver (rsalmon@mbpgroup.com,
      Bug #7610).
[cjh] Maildrop vacation rule: don't reply to bulk/list messages, add start/end
      times, better character support in the message, allow subsequent rules
      to execute (rsalmon@mbpgroup.com, Bug #7140).
[cjh] Fix compound header tests in the procmail and maildrop drivers
      (rsalmon@mbpgroup.com, Bugs #7117, #7611).
[jan] Change group field in shares table to work with LDAP groups (Bug #6883).


------
v1.2.1
------

[jan] Don't show script icon in menu if preference to automatically update
      scripts is both set and locked (Request #7251).
[jan] Fix adding more than 5 wildcard blacklists (Bug #7077).
[jan] Add Basque translation (Euskal Herriko Unibertsitatea EHU/UPV
      <xabier.arrieta@ehu.es>).
[jan] Fix saving spam rules in the preference backend (Bug #7033).
[jan] Correctly catch dates before the 10th of a month in Sieve timed
      vacations (Bug #7023).
[mas] Fix vacation with procmail driver (Bugs #6509, #7052).
[jan] Fix moving to INBOX with the maildrop driver.
[jan] Disable drop down entries with informational purpose only.
[jan] Fix filter activity messages with non-ASCII folder names
      (taguchi@iij.ad.jp, Bug #6764).


----
v1.2
----

[cjh] Improve resource usage in datatree_to_sql share migration script
      (Bug #6740).


--------
v1.2-RC3
--------

[cjh] Apply fix for http://dev.rubyonrails.org/ticket/11473 to prototype.js
      (Request #6590).
[cjh] Procmail driver: make the directory in which vacation files are
      generated configurable (jas@cse.yorku.ca, Request #6643).
[cjh] Add an upgrade script for the new SQL share driver (Request #6109).
[cjh] Procmail driver: include the original email subject in vacation
      replies (Michael.Redinger@uibk.ac.at, Request #6432).
[cjh] Make the procmail delivery agent configurable, allow configuring a
      prefix for mailboxes (+ is needed for dmail, for example), don't
      generate empty VFS files, write a .forward file if needed to pass
      mail to procmail (Michael.Redinger@uibk.ac.at, Request #6433).
[jan] Add Slovak translation (Martin Matuška <martin@matuska.org>).
[cjh] Make the command line utilities called from procmail configurable
      (Michael.Redinger@uibk.ac.at, Request #6431).
[jan] Fix creating of duplicate special rules when converting from preferences
      to SQL storage backend (Bug #6182).
[jan] Follow Sieve specifications more closely when disabling Sieve scripts
      (Bug #6337).
[jan] Load default set of filters for SQL storage from config/prefs.php
      (tinu@humbapa.ch, Request #6096).
[jan] Add Russian translation (Alexey Zakharov <baber@mosga.net>).


--------
v1.2-RC2
--------

[cjh] Add API methods for setting and disabling vacation rules
      (duck@obala.net).
[mas] Fix procmail metacharacter quoting. (Bug #5581)
[cjh] Fix procmail vacation recipe (Volker Then <horde32@volkerthen.com>).
[cjh] Fix position of closing quote in maildrop driver (laxis@magex.hu,
      Bug #6020).
[jan] Fix paths in the script for converting to SQL storage (Bug #5957).


--------
v1.2-RC1
--------

[cjh] Allow specifying permissions to set in the VFS for uploaded scripts
      (steinkel@ctinetworks.com, Request #5871).
[cjh] Add spam filter actions and numeric comparisons to the Maildrop
      script driver (Request #5843).
[cjh] Maildrop driver improvements: make INBOX-stripping configurable;
      fix REJECT action; and add is, not is, not contain, not begins
      with, not ends with, matches, not matches, exists, and not
      exists rules (horde@nospam.obeliks.de, Request #5816).
[jan] Add Japanese translation (Hiromi Kimura <hiromi@tac.tsukuba.ac.jp>).
[jan] Improve forward rule generation with sieve scripts (Request #5746).
[jan] Move all Ingo-specific hook examples from Horde's config/ directory.
[cjh] Only expunge messages that we have moved or deleted completely when
      using IMAP filters (Bug #4749).
[cjh] Fix behavior of IMAP stop-script rules (Bug #5539).
[cjh] Shouldn't show an input field for exists or not exists tests (Bug #5659).
[cjh] Don't let users save rules with empty conditions (Bug #5641).
[cjh] Match email addresses exactly for procmail vacation rules, and include
      the Cc: and Bcc: fields in checks for which address the message was
      sent to (Bug #4333).
[cjh] Ingo now provides a Postfix policy daemon that can be used to enforce
      blacklist and whitelist rules at delivery time (Request #4904).
[cjh] Autocreate VFS paths when saving rules (stevekwok@hotmail.com>).


----------
v1.2-ALPHA
----------

[cjh] Add reverse conditions for procmail (horde@coursimault.com, Request
      #4037).
[cjh] Allow numeric spam score comparisons with Sieve (adrieder@sbox.tugraz.at,
      Request #3837).
[jan] Add Ukrainian translation (Andriy Kopystyansky <anri@polynet.lviv.ua>).
[cjh] Add timed vacation messages (groente@puscii.nl, Request #4938).
[mas] Add body test for sieve (michael.menge@zdv.uni-tuebingen.de, Request
      #3875).
[mas] Change 'Important' flag to 'Flagged For Followup' to match IMP.
[jan] Add full character set support to vacation messages in maildrop and
      procmail drivers (Requests #4034, #4989).
[cjh] Add sivtest driver (liamr@deathstar.org, Request #4777).
[cjh] Add maildrop vacation support (jrvs@bothends.org, Request #3722).
[jan] Add hook to provide addresses for vacation messages (Request #4542).
[jan] Add "Save and Enable/Disable" buttons to forward, vacation, and spam
      screens (Request #4543).
[jan] Group vacation settings in tabs (Request #4541).
[mas] Conform to WCAG 1.0 Priority 2/Section 508 accessibility guidelines.
      (Request #4080)
[mas] Check sieve quota before uploading a script. (gergely@risko.hu, Request
      #4278)
[jmf] Blacklist and whitelist for imap scripts now work consistently with
      sieve scripts -- must match full address.
[ben] Add body test for procmail (horde@coursimault.com,
      Requests #3874, #4035).
[cjh] Add ssh2 to the supported VFS backends (Cliff Green <green@umdnj.edu>).
[cjh] Add checks to avoid mail loops in the procmail forwards code
      (Request #3502).
[jan] Use Horde_Form API to generate special rule forms.
[jan] Add multidomain support for Kolab servers (tokoe@kde.org, Request #3579).
[jan] Add support for changing other users' filter rules.
[jan] Add SQL storage driver.
[jmf] Add simple spam-filtering setup page.


------
v1.1.5
------

[jan] Add Japanese translation (Hiromi Kimura <hiromi@tac.tsukuba.ac.jp>).
[jan] Improve forward rule generation with sieve scripts (Request #5746).


------
v1.1.4
------

[jan] Add Simplified Chinese translation (Anna Chen
      <annachen2008@yahoo.com.cn>).
[cjh] Fix check for bulk or list precedence in Sieve vacation (Bug #5543).
[jan] Add additional checks to avoid adding empty test values (Bug #5392).
[jan] Fix multiline vacation messages with procmail driver (Bug #5273).


------
v1.1.3
------

[jan] Fix blacklists and whitelists in the IMAP driver.


------
v1.1.2
------

[ben] SECURITY: Make sure folder names are properly escaped in procmail driver
      to prevent local code execution (Bug #4513).
[jan] Match all messages with Sieve driver if not providing any criteria
      (gergely@risko.hu, Bug #4345).
[jan] Add parameter to enable or disable TLS in timsieved driver (Marcus Hüwe
      <suse-tux@gmx.de, Request #4496).
[jan] Correctly align all up arrows in filter list (Bug #4294).
[jan] Fix compound header fields in Sieve scripts (Bug #4238).
[jan] Add Catalan translation (Jordi Giralt <projecte.k2@upcnet.es>).
[jan] Add Slovenian translation (Duck <duck@obala.net>).


------
v1.1.1
------

[jan] Enable filter setting to stop further filtering by default.
[jan] Correctly escape forward slashes in maildrop driver (Bug #3514).
[jan] Add additional checks to avoid adding empty test values (Bug #3313).
[jan] Add Estonian translation (Toomas Aas <toomas.aas@mail.ee>).
[jan] Add Greek translation (Konstantinos C. Milosis <kmilosis@yahoo.com>).
[mms] Fix backward compatibility break with Ingo 1.1 and Horde < 3.1.
[cjh] Add missing stripe.js (Bug #3623).


----
v1.1
----

[jan] Automatically add missing special rules when editing them (Bug #3325).


--------
v1.1-RC1
--------

[jan] Add portal block for special rules (Oliver Kuhl <okuhl@netcologne.de>,
      Request #3106).
[jan] Add Portuguese translation (Manuel Menezes de Sequeira
      <Manuel.Sequeira>).
[cjh] Fix escaping of output in several cases.
[mas] Add notify rule. (Paul Wolstenholme <wolstena@sfu.ca>, Bug #1139)
[jan] Add Turkish translation (METU <horde-tr@metu.edu.tr>).
[jan] Don't activate script if exceeded blacklist/whitelist limits (Bug #1166).
[jan] Add Danish translation (Brian Truelsen <horde+i18n@briantruelsen.dk>).
[jan] Allow to use a single user for VFS drivers (maddog2k@maddog2k.net,
      Request #2324).
[jan] Allow to move rules by specifying their positions (Gergely Risko
      <gergely@risko.hu>, Request #1060).
[mas] Add flag-only rule. (Request #1114)
[ben] Hide procmail vacation db files
[mms] Add maildrop script driver (Matt Weyland <mathias@weyland.ch>).
[ben] Add support for '^TO_' procmail rule matching.
[ben] Add support for special headers on a per-driver basis.
[jmf] Add support for storing Sieve rules in LDAP (Supports Sun JES/ONE and
      iPlanet messaging servers).
[jan] Add permissions to restrict filter rule creation.


------
v1.0.2
------

[jan] Add Korean translation (Jinhyok Heo <novembre@ournature.org>).


----------
v1.0.2-RC1
----------

[jan] Convert rules from Ingo 1.0 with multibyte characters (Bug #1282).
[jan] Always encode Sieve scripts in UTF-8 and MIME encode subject of vacation
      messages (Gergely Risko <gergely@risko.hu>, Bug #2121).
[cjh] Don't escape "\" in Sieve regex mode (Bug #2134).
[jan] Don't allow empty addresses in blacklists and whitelists (Bug #2165).
[jan] Really show the active script if clicking that button (Bug #2135).
[jan] Fix migration script for IMP filters to not include folder rules from
      already migrated users (Bug #2114).
[jan] Fix creating of non-ascii IMAP folder names (Bug #2054).
[jan] Fix regular expression rules that contain commas (Bug #1904).
[mas] Allow the disabling of blacklist, whitelist, vacation, and forward
      (Request #1164).
[jan] Allow message flags with all sieve rules that keep the message
      (Bug #1292).
[jan] Add Norwegian Bokmaal translation (Trond Bjørstad <trb@ndn.no>, Thomas
      Chr. Dahl <tcd@ndn.no>).
[jan] Change whitelist rule for Sieve to not apply any further rules
      (Bug #1378).
[jan] Add shortcut icon (favicon.ico).
[ben] Fix procmail forwarding. (hager (at) fh-rosenheim (dot) de, Bug #1125)
[jan] Allow to specify multiple values with "Begins/Ends With" tests (Todd
      Merritt <tmerritt@email.arizona.edu>, Bug #1105).


------
v1.0.1
------

[jan] Fix blacklist conversion in IMP-to-Ingo conversion script (Steve Lidie
      <sol0@Lehigh.EDU>).
[jan] Fix filter rules with multibyte characters.


----
v1.0
----

[jan] Add Brazilian Portuguese translation (Fabio Gomes
      <flgomes@fazenda.sp.gov.br>).


--------
v1.0-RC2
--------

[jan] Add Czech translation (Pavel Chytil <pavel@chytil.tk>).
[cjh] Show menu in Script view (Bug #843).


--------
v1.0-RC1
--------

[cjh] Update icons.
[jan] Disable Kolab backends if disabled globally.


---------
v1.0-BETA
---------

[jan] Add Spanish translation (Manuel Perez Ayala <mperaya@alcazaba.unex.es>).
[jan] Add vacation support to procmail driver (Micha Kersloot
      <micha@kovoks.nl>).


----------
v1.0-ALPHA
----------

[mms] Add configuration option to limit total number of blacklist/whitelist
      entries a user can have.
[jan] Allow setting up a global user in the backends configuration (Martin
      Luethi <horde@humbapa.ch>).
[mms] Allow user to deactivate script.
[mms] Add support to filter by body contents for IMAP driver.
[mms] Allow user-defined filters for the procmail driver (Ben Chavet
      <ben@chavet.net>).
[mms] Allow user-specified Headers to be used for filtering.
[mms] The storage system has been abstracted out to allow for multiple
      backend storage drivers.
[mms] Removed all 'show_*' preferences - all available actions will be
      shown on the menu by default.
[mms] Added the forward action (Todd Merritt <tmerritt@email.arizona.edu>).
[mms] On demand filters can now apply to exclusively seen or unseen messages.
[mms] Rules can now be disabled (Todd Merritt <tmerritt@email.arizona.edu>).
[mms] Added relational, regex, and matches tests to Sieve script
      (Todd Merritt <tmerritt@email.arizona.edu>).
[mms] Honor other module's handling of blacklist/whitelist.
[mms] Don't show script options if the underlying Ingo_Script:: driver
      doesn't use them.
[mms] Case sensitive searches only allowed for Ingo_Script:: drivers that
      can handle them.
[mms] 'blacklist_folder' preference now handled inside the 'blacklist'
      preference.
[mms] Added 'show_filter_msg' preference - for use with Horde_Script::
      backends that support on demand filtering.
[mms] Added the 'mail/canApplyFilters' API call.
[mms] Ingo_Storage:: now handles all session caching.
[mms] Added IMAP client side Ingo_Script:: driver.


----
v0.1
----

[jan] Add Swedish translation (Anders Norrbring <anders@norrbring.biz>).
[jan] Add Lithuanian translation (Vilius Sumskas <vilius@lnk.lt>).
[jan] Add Italian translation (Marko Djukic <marko@oblo.com>).
[jan] Add Hungarian translation (Attila Nagy <bra@fsn.hu>).
[mms] Add Dutch translation (Ruben van der Steenhoven
      <ruben_donotspamme@webmeesters.net>).
[jan] Add Finnish translation (Leena Heino <Leena.Heino@uta.fi>).
[mms] Added the 'mail/applyFilters' API call.
[bjn] Add whitelist functions.
[jan] Add German translation.
[mms] Blacklisted addresses now stored in the storage backend in array format.
[mms] Added Ingo_Storage:: driver to allow for storage of rules in
      various backends.
[bjn] Abstract Script class, and procmail script support.
[jan] Add Polish translation (Przemyslaw "Primo" Witek <primo@npl.pl>).
[jan] Add Romanian translation (Eugen Hoanca <eugenh@urban-grafx.ro>).
[jan] Let the users select what should happen to emails from blacklisted
      addresses.
[jan] Add Traditional Chinese translation (David Chang
      <david@thbuo.gov.tw>).
[jan] Add French translation (Florent Aide <faide@alphacent.com>).
[jan] Add an API for Ingo.
[mac] Add a user preference to automatically update the script after a change.
[mac] Add a user preference to hide the script icon.
[mac] Fix some regex in the script generation
[jan] Default to first backend if no preferred backend is specified/found.
[mac] Initial Commit.
